summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 3da9365)
raw | patch | inline | side by side (parent: 3da9365)
author | Johannes Schindelin <johannes.schindelin@gmx.de> | |
Tue, 3 Feb 2009 23:26:31 +0000 (00:26 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Wed, 4 Feb 2009 06:01:26 +0000 (22:01 -0800) |
Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/test-lib.sh | patch | blob | history |
diff --git a/t/test-lib.sh b/t/test-lib.sh
index bc87936babfd5fd7951904f18ad0e734fd3186b4..20214468ae56500e15977556906e62e1f62d4701 100644 (file)
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
repo="$1"
mkdir -p "$repo"
cd "$repo" || error "Cannot setup test environment"
- "$GIT_EXEC_PATH/git" init "--template=$GIT_EXEC_PATH/templates/blt/" >&3 2>&4 ||
+ "$GIT_EXEC_PATH/git" init "--template=$owd/../templates/blt/" >&3 2>&4 ||
error "cannot run git init -- have you built things yet?"
mv .git/hooks .git/hooks-disabled
cd "$owd"
PATH=$GIT_VALGRIND/bin:$PATH
GIT_EXEC_PATH=$GIT_VALGRIND/bin
export GIT_VALGRIND
-
- make_symlink ../../../templates "$GIT_VALGRIND"/bin/templates || exit
fi
GIT_TEMPLATE_DIR=$(pwd)/../templates/blt
unset GIT_CONFIG